#ifndef MYFUNC_H
#define MYFUNC_H

#include <Windows.h>
#include <stdio.h>

typedef struct
{
	LPVOID lpPointer;
	DWORD  dwFileSize;
}FILEMEMORYINFO;

BOOL AllocateFileMemory(LPCTSTR lpFile,FILEMEMORYINFO *psFMInfo);
void FreeFileMemory(FILEMEMORYINFO *psFMInfo);


int ChangeFileExtention(char *pSourceName,char *pDestName,int iDestBufSize,char *pNewExt);
void GetFileExtention(LPTSTR lpFile,LPTSTR lpBuf,int iDestBufSize);
void GetFileNameFromFullPath(TCHAR* lpFile,LPTSTR lpBuf,int iDestBufSize);
int MakeFullPathName(LPCTSTR lpDir,LPCTSTR lpFile,LPTSTR lpBuf);

int GetAppPathName(LPSTR lpBuffer,int iBufferSize,LPSTR lpFileName);
int GetAppDataPathName(LPTSTR lpBuffer,int iBufferSize,LPTSTR lpAppName,LPTSTR lpFileName,BOOL fEnsureDirExist);

BOOL CheckFileExistance(LPTSTR lpFile);
#endif /* MYFUNC_H */